### Method

# Gio SubprocessLauncher close

since: 2.68

#### Declaration

    void
    g_subprocess_launcher_close (
      GSubprocessLauncher* self
    )

#### Description

Closes all the file descriptors previously passed to the object with g_subprocess_launcher_take_fd(), g_subprocess_launcher_take_stderr_fd(), etc.

After calling this method, any subsequent calls to `g_subprocess_launcher_spawn()` or `g_subprocess_launcher_spawnv()` will return `G_IO_ERROR_CLOSED`. This method is idempotent if called more than once.

This function is called automatically when the `GSubprocessLauncher` is disposed, but is provided separately so that garbage collected language bindings can call it earlier to guarantee when FDs are closed.

Available since: 2.68